Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
clients
/
{client_id}
Update an organization client association
curl --request PATCH \
  --url https://{tenantDomain}/api/v2/organizations/{id}/clients/{client_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "use_for_member_access": true
}
'
{
  "client_id": "<string>",
  "use_for_member_access": true,
  "client": {
    "name": "<string>",
    "app_type": "<string>",
    "logo_uri": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<organization-id>
required

ID of the organization.

client_id
string<client-id>
required

ID of the client association to update.

Body

use_for_member_access
boolean

Whether this client is used for member access to the organization.

Response

Organization client successfully updated.

client_id
string<client-id>
required

The identifier of the client associated with the organization.

use_for_member_access
boolean
required

Whether this client is used for member access to the organization.

client
object

Metadata about the associated client.